package com.bonus.canteen.core.supply.po;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;
import java.time.LocalDateTime;

@ApiModel(
   value = "采购订单退款表",
   description = "采购订单退款表"
)
public class DrpOrderGoodsRefund {
   @ApiModelProperty("退款id")
   private Long refundMoneyId;
   @ApiModelProperty("采购单号")
   private String orderGoodsId;
   @ApiModelProperty("退款金额")
   private Long refundAmount;
   @ApiModelProperty("要求退款日期")
   private LocalDate requireRefundDate;
   @ApiModelProperty("收款银行")
   private String collectBank;
   @ApiModelProperty("收款账号名称")
   private String collectAccountName;
   @ApiModelProperty("收款账号")
   private String collectAccount;
   @ApiModelProperty("申请备注")
   private String applyRemark;
   @ApiModelProperty("退款时间")
   private LocalDateTime refundTime;
   @ApiModelProperty("付款银行")
   private String payBank;
   @ApiModelProperty("付款账户名称")
   private String payAccountName;
   @ApiModelProperty("付款账户")
   private String payAccount;
   @ApiModelProperty("退款备注")
   private String refundRemark;
   @ApiModelProperty("类型(1申请，2付款)")
   private Integer type;
   @TableField(
      value = "crby",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建人")
   private String crby;
   @TableField(
      value = "crtime",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @TableField(
      value = "upby",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新人")
   private String upby;
   @TableField(
      value = "uptime",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public Long getRefundMoneyId() {
      return this.refundMoneyId;
   }

   public String getOrderGoodsId() {
      return this.orderGoodsId;
   }

   public Long getRefundAmount() {
      return this.refundAmount;
   }

   public LocalDate getRequireRefundDate() {
      return this.requireRefundDate;
   }

   public String getCollectBank() {
      return this.collectBank;
   }

   public String getCollectAccountName() {
      return this.collectAccountName;
   }

   public String getCollectAccount() {
      return this.collectAccount;
   }

   public String getApplyRemark() {
      return this.applyRemark;
   }

   public LocalDateTime getRefundTime() {
      return this.refundTime;
   }

   public String getPayBank() {
      return this.payBank;
   }

   public String getPayAccountName() {
      return this.payAccountName;
   }

   public String getPayAccount() {
      return this.payAccount;
   }

   public String getRefundRemark() {
      return this.refundRemark;
   }

   public Integer getType() {
      return this.type;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public DrpOrderGoodsRefund setRefundMoneyId(final Long refundMoneyId) {
      this.refundMoneyId = refundMoneyId;
      return this;
   }

   public DrpOrderGoodsRefund setOrderGoodsId(final String orderGoodsId) {
      this.orderGoodsId = orderGoodsId;
      return this;
   }

   public DrpOrderGoodsRefund setRefundAmount(final Long refundAmount) {
      this.refundAmount = refundAmount;
      return this;
   }

   public DrpOrderGoodsRefund setRequireRefundDate(final LocalDate requireRefundDate) {
      this.requireRefundDate = requireRefundDate;
      return this;
   }

   public DrpOrderGoodsRefund setCollectBank(final String collectBank) {
      this.collectBank = collectBank;
      return this;
   }

   public DrpOrderGoodsRefund setCollectAccountName(final String collectAccountName) {
      this.collectAccountName = collectAccountName;
      return this;
   }

   public DrpOrderGoodsRefund setCollectAccount(final String collectAccount) {
      this.collectAccount = collectAccount;
      return this;
   }

   public DrpOrderGoodsRefund setApplyRemark(final String applyRemark) {
      this.applyRemark = applyRemark;
      return this;
   }

   public DrpOrderGoodsRefund setRefundTime(final LocalDateTime refundTime) {
      this.refundTime = refundTime;
      return this;
   }

   public DrpOrderGoodsRefund setPayBank(final String payBank) {
      this.payBank = payBank;
      return this;
   }

   public DrpOrderGoodsRefund setPayAccountName(final String payAccountName) {
      this.payAccountName = payAccountName;
      return this;
   }

   public DrpOrderGoodsRefund setPayAccount(final String payAccount) {
      this.payAccount = payAccount;
      return this;
   }

   public DrpOrderGoodsRefund setRefundRemark(final String refundRemark) {
      this.refundRemark = refundRemark;
      return this;
   }

   public DrpOrderGoodsRefund setType(final Integer type) {
      this.type = type;
      return this;
   }

   public DrpOrderGoodsRefund setCrby(final String crby) {
      this.crby = crby;
      return this;
   }

   public DrpOrderGoodsRefund setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
      return this;
   }

   public DrpOrderGoodsRefund setUpby(final String upby) {
      this.upby = upby;
      return this;
   }

   public DrpOrderGoodsRefund setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
      return this;
   }


   public String toString() {
      Long var10000 = this.getRefundMoneyId();
      return "DrpOrderGoodsRefund(refundMoneyId=" + var10000 + ", orderGoodsId=" + this.getOrderGoodsId() + ", refundAmount=" + this.getRefundAmount() + ", requireRefundDate=" + String.valueOf(this.getRequireRefundDate()) + ", collectBank=" + this.getCollectBank() + ", collectAccountName=" + this.getCollectAccountName() + ", collectAccount=" + this.getCollectAccount() + ", applyRemark=" + this.getApplyRemark() + ", refundTime=" + String.valueOf(this.getRefundTime()) + ", payBank=" + this.getPayBank() + ", payAccountName=" + this.getPayAccountName() + ", payAccount=" + this.getPayAccount() + ", refundRemark=" + this.getRefundRemark() + ", type=" + this.getType() + ", crby=" + this.getCrby() + ", crtime=" + String.valueOf(this.getCrtime()) + ", upby=" + this.getUpby() + ", uptime=" + String.valueOf(this.getUptime()) + ")";
   }
}
